# Uses of Interface
org.apache.lucene.analysis.compound.hyphenation.PatternConsumer

Packages that use PatternConsumer
Package
Description
org.apache.lucene.analysis.compound.hyphenation
Hyphenation code for the CompoundWordTokenFilter.

- ## Uses of PatternConsumer in org.apache.lucene.analysis.compound.hyphenation

  Classes in org.apache.lucene.analysis.compound.hyphenation that implement PatternConsumer
  Modifier and Type
  Class
  Description
  `class`
  `HyphenationTree`
  This tree structure stores the hyphenation patterns in an efficient way for fast lookup.
  Methods in org.apache.lucene.analysis.compound.hyphenation with parameters of type PatternConsumer
  Modifier and Type
  Method
  Description
  `void`
  PatternParser.`setConsumer(PatternConsumer consumer)`
  Constructors in org.apache.lucene.analysis.compound.hyphenation with parameters of type PatternConsumer
  Modifier
  Constructor
  Description
  ``
  `PatternParser(PatternConsumer consumer)`